%define name perl-RPM
%define real_name Perl-RPM
%define rversion 0.30
%define version 0.30
%define release 1mdk

Summary: Perl-RPM - Native bindings to the RPM Package Manager API for Perl.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.cpan.org/modules/by-authors/id/RJRAY/%{real_name}-%{rversion}.tar.bz2
Patch: Perl-RPM-0.30-fix-test.patch.bz2
Copyright: GPL
Group: Development/Perl
BuildRequires: bzip2 popt-devel rpm-devel zlib-devel
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires: perl

%description
The Perl-RPM package is an attempt to provide Perl-level access to the complete
application programming interface that is a part of the RPM Package Manager
(RPM). Rather than have scripts rely on executing RPM commands and parse the
resultant output, this modules aims to provide Perl programmers the ability
to do anything that would otherwise have been done in C or C++.

The interface is being designed and laid out as a collection of classes, at
least some of which are also available as tied-hash implementations.

At this time, the interface only provides access to the database of installed
packages, and header data retrieval for RPM and SRPM files not yet installed.

%prep
%setup -n %{real_name}-%{rversion}
%patch0 -p1 -z .pix

%build
perl Makefile.PL
make OPTIMIZE="$RPM_OPT_FLAGS" 
%ifnarch alpha
make test
%endif

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX="$RPM_BUILD_ROOT/%{prefix}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README*
%{perl_sitearch}/auto/RPM*
%{perl_sitearch}/RPM*
%{_libdir}/perl5/man/man3/*

%changelog
* Sun Mar 11 2001 Pixel <pixel@mandrakesoft.com> 0.30-1mdk
- new version

* Wed Jan  3 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.29.2-3mdk
- Don't do make test on alpha.

* Fri Dec 15 2000 Pixel <pixel@mandrakesoft.com> 0.29.2-2mdk
- add "make test", make it work :)

* Thu Nov 16 2000 Pixel <pixel@mandrakesoft.com> 0.29.2-1mdk
- new version

* Thu Oct 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.29.1-2mdk
- rpmv4 aware.

* Sat Oct 14 2000 Pixel <pixel@mandrakesoft.com> 0.29.1-1mdk
- new version (0.291 that is)

* Tue Aug 22 2000 Pixel <pixel@mandrakesoft.com> 0.28-2mdk
- use %%{perl_sitearch}

* Sun Aug 20 2000 Pixel <pixel@mandrakesoft.com> 0.28-1mdk
- new version

* Fri Aug 18 2000 Pixel <pixel@mandrakesoft.com> 0.27-2mdk
- rebuild with new clean_perl in spec-helper

* Tue Aug  8 2000 Pixel <pixel@mandrakesoft.com> 0.27-1mdk
- new version

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.26-2mdk
- automatically added BuildRequires

* Fri Jul 21 2000 Pixel <pixel@mandrakesoft.com> 0.26-1mdk
- new version, BM

* Sun Jul  9 2000 Pixel <pixel@mandrakesoft.com> 0.25-1mdk
- new version

* Tue Jul  4 2000 Pixel <pixel@mandrakesoft.com> 0.2-2mdk
- and RPM.pm to %%files (chmousux)

* Fri Jun 09 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.2-1mdk
- First Mandrake version.

